EDIT - bug #6283

Exceptions when editing polytomous key
12/15/2016 11:09 AM - Katja Luther
Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.5

Severity: normal Found in Version:

Description

Hallo Katja,

ich habe mich dieses Jahr doch noch an neuen Schlisseln versucht. Bei Orchis gab es ein paar Fehlermeldungen, die ich aber stets
durch Neusortieren des Schlissels, abspeichern, schlieBen und wiederdffnen austricksen konnte. Natrlich funktionierte das
ausgerechnet vor dem letzten Schlisselpunkt nicht mehr. Jetzt bekomme ich Orchis gar nicht mehr gedffnet. Kannst Du bei
Gelegenheit mal schauen und wiederbeleben? Ich wiirde den Rest dann dranheften.

Vielen Dank und schéne GriiBe
Ralf

Associated revisions

Revision 99¢779dd - 12/15/2016 11:13 AM - Katja Luther

ref #6283: fix NPE exceptions caused by null values in children list

Revision d8cc12a4 - 12/15/2016 12:39 PM - Katja Luther

ref #6283: minor changes to fix exceptions in polytomous key editing

Revision 6ed48b2e - 01/18/2017 04:23 PM - Patrick Plitzner
ref #6283 Fixed potential NPE for EntitySelectionElement

e refactored constructors to always initialise the clazz variable

History

#1 - 12/15/2016 11:22 AM - Katja Luther

There where still some NPE caused by null values in children list of polytomouskey nodes. And sometimes a ConcurrentModificationException
appears.

#2 - 01/17/2017 12:44 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

| test it again and it works now. Please test, if there are NPE when editing the key.

#3 - 01/17/2017 12:44 PM - Katja Luther

- Status changed from New to Resolved

#4 - 01/18/2017 04:23 PM - Patrick Plitzner

| am not really sure what to test here because | do not know how to reproduce the problem. | clicked around and added, edited and deleted some

polytomous keys and only found one exception which | fixed with taxeditor|6ed48b2e205576b31d01ad6fec209b0ec8abc7d3
Katja, maybe you test again after my changes and then we can close this ticket.

#5 - 01/18/2017 05:08 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther

#6 - 01/20/2017 02:26 PM - Katja Luther

- Status changed from Resolved to Closed
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/6ed48b2e205576b31d01ad6fec209b0ec8abc7d3

seems to be fine
